html {
    min-height: 100%;
    height: 100%;
}

body {
    min-height: 100%;
    height: 100%;
}

html, body {
    font-family: 'Arial Обычный', 'Arial';
    margin: 0;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    font-size: 10pt;
    background: #FFFFFF;
}

a {
    outline: none;
    text-decoration: none;
    box-sizing: border-box;
    color: #0077c4;
}

/*.menu-debug*/
ul.menu-debug {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    /*background-color: #333;/**/
    display: flex;
    position: fixed;
    top: 5em;
    z-index: 5;
}

.menu-debug li {
    flex: 0 0 auto;
    float: left;
    background-color: #333;
}

ul.menu-debug li:last-child {
    flex: 1 0 auto;
    justify-content: space-between;

}

.menu-debug li a, .dropbtn {
    display: inline-block;
    /*color: white;/**/
    text-align: center;
    padding: 0px 16px; /**/
    text-decoration: none;
    box-sizing: border-box;
}

.menu-debug li a:hover, .dropdown:hover .dropbtn {
    /*    background-color: red;/**/
}

.menu-debug li.dropdown {
    display: inline-block;
}

.menu-debug .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.menu-debug .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.menu-debug .dropdown-content a:hover {
    background-color: #f1f1f1
}

.menu-debug .dropdown:hover .dropdown-content {
    display: block;
}

/*.menu-debug*/

#top-menu {
    left: 0px;
    right: 0px;
    z-index: 100;
    /*background: #e9e9e9;/**/
    /*border-bottom: 1px #e9e9e9 solid;/**/
}

#page {
    display: flex;
    flex: 1 1 auto;
    align-items: stretch;
    justify-content: space-between;

    overflow: hidden;
}

/*#page>*{
    overflow: hidden;
}/**/
#page > #left-menu {
    overflow: auto;
    flex: 0 0 auto;
}

#page *:first-child {
    /*    flex: 1 1 auto;/**/
}

#page .content {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
}

#page .content > :nth-child(2) {
    display: flex;
    /*    padding: 1em;/**/
    flex: 1 1 auto;
    overflow: auto;
    flex-direction: row-reverse;
    padding: 0.5em;
}

#page .content > *:nth-child(2) > *:nth-child(1) {
    flex: 1 0 auto;
}

#right-menu {
    /*padding: 1em/**/
}

/**/
#page .content > *:nth-child(2) > *:nth-child(2) {
    flex: 0 1 80px;
    /*min-width: 40%;/**/
}

#invoice {
    display: flex;
    flex-direction: column;
    background: #fDfDfD;
    padding: 1em;
    border: 1px #E9E9E9 solid;
    border-top: 0;
    height: 100%;
    box-sizing: border-box;
}

#invoice > *:first-child {
    flex: 1 1 auto;
}

/*top-menu*/
ul#top-menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
    /*overflow: hidden;/**/
    /*background-color: #333;/**/
    display: flex;
    align-items: center; /*stretch*/
    justify-content: space-between;
    padding: 0 0;
    align-items: stretch;
    /*    -webkit-box-shadow: 0px 3px 6px 0px rgba(65,106,95,0.18);
        -moz-box-shadow: 0px 3px 6px 0px rgba(65,106,95,0.18);
        box-shadow: 0px 3px 6px 0px rgba(65,106,95,0.18);/**/
}

#top-menu li {
    flex: 0 0 auto;
    float: left;
    /*line-height: 50%;/**/
/ / color : #cecece;
    padding: 0px 2em;
    /*font-size: 1vw;/**/
}

#top-menu li.top-info {
    flex: 1 1 auto;
    /*white-space: nowrap;/**/
    overflow: hidden;
}

#top-menu li span.label {
    /*color: #97E3FF;/**/
    vertical-align: middle;
    line-height: 2em;
}

#top-menu li span#date, #top-menu li span#time {
    vertical-align: middle;
    line-height: 2em;
    text-transform: uppercase;
    font-size: 1em; /**/
    font-weight: bold;
    color: #525252;
}

#top-menu li span#time {
    margin-left: 0.5em;
}

/**/

ul#top-menu li:first-child {
    /*padding: 0;/**/
    display: flex;
    align-items: center;
}

ul#top-menu li:last-child {
    flex: 0 0 auto;
    text-align: right;
}

ul#top-menu li:last-child .dropdown-content {
    flex: 1 0 auto;
    text-align: right;
    right: 0;
    z-index: 20;
}

/*#top-menu li a, .dropbtn {
    display: inline-block;
    color: #333333;/**/
/*    text-align: center;
    height: 100%; /**/
/*    text-decoration: none;
    box-sizing: border-box;
    /*vertical-align: middle;/**/
/*}/**/
#top-menu .user-info {
    /*max-width: 20em;/**/
}

#top-menu .user-info a {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

#top-menu .user-info a img {
    padding-right: 20px;
}

#top-menu li a:hover, .dropdown:hover .dropbtn {
    /*    background-color: #FAFAFA;/**/
}

#top-menu li.dropdown {
    display: inline-block;
}

#top-menu .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

#top-menu .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

#top-menu .dropdown-content a:hover {
    background-color: #f1f1f1
}

#top-menu .dropdown:hover .dropdown-content {
    display: block;
}

#top-menu {
    /*    position: fixed;/**/
    /*    left: 0px;
        right: 0px;
        z-index: 100;
        background: #e9e9e9;/**/
}

li#top-menu-button {
    background: transparent;
}

li#top-menu-button a, li#top-menu-notifications a {
    color: #5c5c5c;
    /*font-size: 1em;/**/
    padding: 2px 0.5em;
}

li#top-menu-notifications {
    background: transparent;
    position: relative;
    visibility: hidden;
}

li#top-menu-notifications.activ {
    visibility: visible;
}

li#top-menu-notifications a div {
    background: #FF3434;
    border-radius: 30px;
    width: 2em;
    height: 2em;
    font-size: 11px;
    color: #ffffff;
    vertical-align: middle;
    text-align: center;
    line-height: 2em;
    position: absolute;
    bottom: 1px;
    left: 50%;
}

li#top-menu-notifications a:hover {
    background: transparent;
}

/*top-menu*/

/*left-menu*/
#left-menu {
    padding: 1em;
    border-right: 1px #E9E9E9 solid;
}

#left-menu.activ {
    left: 0;
}

#left-menu a {
    /*color: #ffffff;/**/
    font-size: 1em; /**/
}

#left-menu div:first-child {
    /*text-align: right;
    font-size: 2em;/**/
}

#left-menu .button-close {
    /*    padding: 0.0em 0.5em;
        color: rgba(255, 255, 255, 0.76);
        width: 100%;
        display: inline-block;
        box-sizing: border-box;/**/
}

#left-menu ul {
    list-style-type: none;
    margin: 0 1em;
    padding: 0;
    margin-top: 0em;
}

#left-menu img {
    max-width: 28px;
    max-height: 23px;
    margin-right: 15px;
}

.text-green {
    color: rgb(167, 202, 93);
}

.text-blue {
    color: #97e3ff;
}

#cover {
    /*display: none;/**/
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    right: 0;
    height: 0;
    background-color: rgba(0, 0, 0, 0.76);
    /*background-color: rgba(0, 0, 0, 0);/**/
    opacity: 0;
    transition: opacity 0.3s, height 0s;
}

#cover.activ {
    display: block;
    background-color: rgba(0, 0, 0, 0.76);
    opacity: 1;
    height: 100vh;
}

#cover-div {
    position: fixed;
    top: 0em;
    left: 0;
    z-index: 20;
    right: 0;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.25);
    /*background-color: rgba(0, 0, 0, 0);/**/
    opacity: 1;
    transition: opacity 0.3s, height 0s;
}

/*left-menu*/
/*
.wnd-container {
    display: flex;
    flex-direction: column;
    justify-content: center;

    position: fixed;
    z-index: 20;
    color: #FFF;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    text-align: center;
    pointer-events: none;
    overflow: auto;


    flex-direction: row;
    justify-content: start;
    align-items: baseline;

}

.wnd-container > .content {
    background-color: #000000;
    padding: 1em 1em;
    max-width: 100vw;
    max-height: 100vh;
    flex: 0 1 auto;
}

.wnd-container>.content>.mod-wWindow-activ{
    pointer-events: all;
}

.wnd-container>.content>*{
    display: inline-block;
    margin: auto;
}

.wnd-container-menu {
    display: flex;

    position: fixed;
    z-index: 20;
    left: 275px;
    top: 55px;
    text-align: left;
    color: #FFF;

    flex-direction: row;
    justify-content: flex-start;
}
.wnd-container-menu > .content {
    margin: 0;
}
/**/
/*
.table_col {
    background: transparent;
}

.table_col td {
    border-right: 20px solid transparent;
    border-left: 20px solid transparent;
    background: #FFF;
}

.table_col th:first-child {
    color: #97e3ff;
}

.table_col th {
    color: #97e3ff;
}

.tbl .rec td {
    background: transparent;
}

.tbl .rec {
    color: #97e3ff;
    background: #FFF;
}

.tbl .rec:hover {
    background: #f1f1f1;
    cursor: pointer;
}

.sub-widget {
    position: fixed;
    /*left: 0em;
    top: 5em;
    z-index: 15;
    right: 0px;
    bottom: 0px;

    display: flex;
    flex-direction: column;
    justify-content: center;
}

.window {
    color: #ffffff;
    display: inline-block;
    margin: auto;
    vertical-align: middle;
    background-color: #000000;
    padding: 2.5em;
}
/**/
/*
.notifications {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
/**/
/*
.window h1 {
    margin: 0em;
    font-weight: inherit;
    font-size: 36px;
}

.button2 {
    background: inherit;
    border: none;
    border-radius: 5px;
    color: #ffffff;
    text-transform: uppercase;
    padding: 0.5em 1.5em;
    background-color: rgba(127, 127, 127, 0.5);
    margin: 0 0.3em;
    font-size: 0.9em;
}

.button {
    background: inherit;
    border: none;
    border-radius: 5px;
    color: #ffffff;
    text-transform: uppercase;
    padding: 0.8em 2.5em;
    background-color: rgba(127, 127, 127, 0.5);
    margin: 0 0.8em;
    font-size: 1em;
}


.button-white {
    background-color: rgb(255, 255, 255);
    border: 1px rgba(121, 121, 121, 1) solid;
    color: #000000;
}

.button-blue {
    background-color: rgba(22, 155, 213, 1);
    color: #ffffff;
}

.button-green {
    background-color: rgba(167, 202, 93, 1);
}

.text-align-center {
    text-align: center;
}
.mod-notifications-activ {
    z-index: 20;
}
/**/
/*
@media screen and (max-width: 768px), screen and (max-device-width: 768px) {
    html, body {
        font-size: 30pt;
    }

    .wnd-container-menu {
        /*display: flex;
        flex-direction: column;
        justify-content: flex-start;

        position: fixed;/**/
/*z-index: 20;/**/
/*        left: 0px;
        top: 2.5em;
        /*text-align: left;
        color: #FFF;/**/
/*    }

    .user-info img{
        white-space: nowrap;
    }
    .user-info span.label{
        font-size: 0.5em;
    }
    .user-info img{
        float: left;
    }

    input, button, select{
        font-size: 1em;
    }
}
/**/

.tbl {
    font-size: 1em;
}

.tbl.tbl-head {
    /*    background: #e5e5e5;/**/
}

.actions {
    display: flex;
    flex-direction: row;
    border-bottom: 1px #E9E9E9 solid;
    align-items: stretch;
    flex: 0 0 auto;
}

.actions > *:first-child {
    flex: 1 1 auto;
    border: 0;
    padding: 0.5em;
    font-size: 1.2em; /**/
    align-items: center;
}

.actions > * > * {
    margin: auto 0.5em auto 0;
}

.actions > * > *:first-child {
    margin-right: 0.5em;
}

#top-menu li.top-info {
    flex: 0 0 auto;
}

.top-info {
    padding-left: 1em;
}

#top-menu-buttons {
    display: flex;
}

#top-menu-buttons > * {
    display: inline-flex;
    align-items: center;
    vertical-align: middle;
    padding: 0.7em 1em;
    font-size: 1em;
    color: #000;
}

#top-menu-buttons a:hover {
    /*    background: #4a71ab;
        color: #ffffff;/**/
    background: #f8f8f8;
}

#top-menu-buttons a.active {
    background: #4a71ab;
    color: #ffffff;
}

#top-menu-buttons2 {
    display: flex;
    justify-content: center; /**/
    /*padding-left: 1em;/**/
    border-bottom: 1px #e9e9e9 solid;
}

#top-menu-buttons2 > * {
    display: inline-flex;
    align-items: center;
    vertical-align: middle;
    padding: 0.5em 0.7em;
    font-size: 1em;
    color: #000;
    border-bottom: 2px transparent solid;
}

#top-menu-buttons2 a:hover {
    /*background: #b0b0b0;
    color: #ffffff;/**/
    border-bottom: 2px #ebebeb solid;
}

#top-menu-buttons2 a.active {
    /*background: #b0b0b0;
    color: #ffffff;/**/
    color: #000;
    /*border-bottom: 3px #4a71ab solid;/**/
    border-bottom: 3px #1a79ff solid;
}

.actions > div {
    display: inline-flex;
}

.tbl {
    border-collapse: collapse;
}

.tbl tr td {
    padding: 0 1em;
}

.tbl tr:nth-child(2n) {
    background: rgba(185, 226, 255, 0.25);
}

.tbl th {
    padding: 0.5em 1em;
}

/*
.tbl tr button.fa{
    visibility: hidden;
}
.tbl tr:hover button.fa{
    visibility: visible;
}
/**/
.hdr {
    font-size: 1.4em;
    text-align: center;
}

/*.tbl .rec {
    color: #97e3ff;
    background: #FFF;
}/**/

button {
    /*background: white;/**/
    /*
    box-shadow: 0px 0px 1px #02020280;
    /**/
    /*border: 1px #FFF solid;/**/
    border-radius: 2px;
    /*padding: 0.2em 0.5em;/**/
    cursor: pointer;
    /*
        border: 1px #9B9B9B solid;
        border-radius: 2px;
        padding: 0.2em 0.5em;
        color: #535353;
        cursor: pointer;
        background: transparent;
    /**/

    color: rgb(68, 68, 68);
    text-decoration: none;
    user-select: none;
    outline: none;
    background: rgb(245, 245, 245) linear-gradient(#f4f4f4, #f1f1f1);

    display: inline-block;
    font-family: arial, sans-serif;
    font-size: 16px;
    font-weight: bold;
    border: 1px solid rgba(0, 0, 0, .1);
    transition: all .218s ease 0s;
    padding: .4em 1.2em;
}

button:hover {
    /*border: 1px #9B9B9B solid;/**/
    /*    border-radius: 2px;
        /*padding: 0.2em 0.5em;/**/
    /*    color: #ffffff;
        background: rgba(39, 82, 161, 0.76);
    /**/
    /*
    color: #ffffff;
    background: rgba(39, 82, 161, 0.76);
    border: 1px rgba(39, 82, 161, 0.76) solid;
    /**/
    color: rgb(24, 24, 24);
    border: 1px solid rgb(198, 198, 198);
    background: #f7f7f7 linear-gradient(#f7f7f7, #f1f1f1);
    box-shadow: 0 1px 2px rgba(0, 0, 0, .1);
}

button:active {
    color: rgb(51, 51, 51);
    border: 1px solid rgb(204, 204, 204);
    background: rgb(238, 238, 238) linear-gradient(rgb(238, 238, 238), rgb(224, 224, 224));
    box-shadow: 0 1px 2px rgba(0, 0, 0, .1) inset;
}

button::-moz-focus-inner {
    border: 0;
}

.fa {
    /*background: #ffffff;/**/
}

.tbl button {
    padding: .2em 1em;
}

/*button icons*/
/*.fa:before {
/*    color: #ffffff;/**/
/*    text-shadow: 1px 1px 1px #00000080, 0px 0px 1px #000;
    text-decoration: none;
    margin-right: 0.5em;
}

.fa:empty:before {
    margin-right: 0;
}
/**/
.fc::before, .fa::before, .far::before, .fas::before {
    /*text-shadow: 0px 0px 10px #00000029, 0px 0px 0px #000;/**/
    text-shadow: 1px 1px 1px #0000003A, 0px 0px 0px #00000080;
    text-decoration: none;
}

.fc:hover::before, .fa:hover::before, .far:hover::before, .fas:hover::before {
    /*text-shadow: none;
    /*text-shadow: 0px 0px 10px #00000029, 0px 0px 0px #000;
    /*text-shadow: 1px 1px 1px #0027FF, 0px 0px 1px #000;/**/
    text-decoration: none;
}

/*
.fa:hover:before {
/*    color: #ffffff;/**/
/*    text-shadow: 1px 1px 1px #0027FF, 0px 0px 1px #000;
    text-decoration: none;
}/**/

.button2, .button-cancel {
    border-radius: 2px;
    padding: 0.5em 1em;
}

.button2 {
    border: 1px #9B9B9B solid;
    color: #ffffff;
    background: rgba(39, 82, 161, 0.9);
}

.button2:hover {
    border: 1px rgba(177, 191, 251, 0.61) solid;
    padding: 0.5em 1em;
    color: #ffffff;
    background: rgba(39, 82, 161, 0.76);
}

.button-cancel {
    border: 1px #9B9B9B33 solid;
    color: #000;
    background: rgba(203, 203, 203, 0.9);
}

.button-cancel:hover {
    border: 1px rgba(177, 191, 251, 0.61) solid;
    padding: 0.5em 1em;
    color: #ffffff;
    background: rgba(39, 82, 161, 0.76);
}

.actions button {
    /*border: 0;/**/
    padding: .2em 1.2em;
    display: inline-block;
    font-size: 1.2em;
    /*color: #426789;/**/
    /*color: #426789;/**/
    /*background: #f8f8f8;
    margin-right: 0.5em;
    /*    width: 2.2em;/**/
    /*font-weight: bold;/**/
}

._actions button:hover {
    /*color: #426789;/**/
    background: #eaeaea;
    /*
    text-shadow: 1px 1px 5px #0027FF, 0px 0px 2px #000;
    /**/
    text-shadow: 0px 0px 1px #000;
}

/*
.fa {
    background: white;
    color: #FFF;
    text-shadow: 1px 1px 1px #0027FF, 0px 0px 1px #000;
    text-decoration: none;
    box-shadow: 0px 0px 1px #02020280;
    border: 1px #FFF solid;
}
/**/

.totals {
    font-size: 1em;
    padding-top: 1em;
}

.totals .money {
    display: flex;
}

.totals .money > * {
    padding: 1em;
}

.totals .money input {
    border: 1px rgba(176, 176, 176, 0.46) solid;
    width: 100%;
    text-align: center;
    background: #ffffff;
    margin-right: 0.5em;

    font-weight: bold;
    font-size: 23px;
}

input {
    border: 1px #b0b0b0 solid;
    font-size: 1em;
}

.input-count {
    border: 1px rgba(176, 176, 176, 0.22) solid;
    width: 5em;
    text-align: center;
    background: transparent;
}

.input-count:focus {
    border: 1px #b0b0b0 solid;
    width: 5em;
    text-align: center;
    background: #ffffff;
}

.btn-page, .btn-page:hover {
    /*color: #ffffff;/**/
    border: none;
    margin: 1px 2px;
    text-shadow: none;
    color: rgba(39, 82, 161, 0.76);
}

.btn-page:hover {
    color: #ffffff;
}

.btn-page.selected {
    border: none;
    color: #ffffff;
    background: rgba(39, 82, 161, 0.76);
}

.center-content {
    overflow: hidden;
}

.mod-wList-activ {
    height: 100%;
    overflow: hidden;
}

.table-wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow: hidden;
}

.center-content > :first-child .table-wrapper > *:nth-child(2), .center-content > :last-child .table-wrapper > *:nth-child(3) {
    height: 100%;
    overflow: auto;
}

.tbl-head {
    background: #ffffff;
}

.tbl-content {
    width: 100%;
}

.tbl-content-wrapper {
    height: 100%;
    overflow: auto;
}

.mod-wList-activ {
/ / flex : 0 0 auto !important;
}

.wnd-container {
    display: flex;
    z-index: 30;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    left: 0;
}

.wnd-container > * {
    display: inline-flex;
    flex-direction: column;
    margin: auto;

    background-color: #e8e8e8; /**/
    padding: 0em 1em 1em 1em;
    padding: 2em 3em 2em 3em;
    border-radius: 5px;
    box-shadow: 0px 0px 20px #56565680;

}

.mod-wWindow-activ {
}

.mod-wForm-activ label {
    display: inline-block;
    width: 15em;
}

.mod-wForm-activ .form > * {
    margin-bottom: 1em;
}

.form-panel-btn {
    text-align: center;
}

.form-panel-btn > * {
    margin: 0 1em;
}

.form-prices label {
    /*.form-prices .form-price label{/**/
    width: 10em;
    display: inline-block;
    text-align: end;
    margin-right: 1em;
}

.form-prices input {
    margin: 0.1em;
    width: 5em;
    height: 1.6em;
}

.form-prices select {
    max-width: 15em;
    height: 1.8em;
}

.input-file {
    /*position: relative;/**/
    /*display: inline-flex;
    justify-content: flex-start;
    align-content: space-around;
    /**/
}

.input-file .filename {
    height: 100%;
    width: 11em;
    text-align: right;
    flex: 0 1 50%;
}

.input-file button {
    height: 100%;
/ / width : 10 em;
    text-align: right;
    flex: 0 1 50%;
}

.input-file input[type="file"] {
    visibility: hidden;
    width: 1px;
    height: 1px;
    /*
    display: none;
    opacity: 0.2;
    /**/
}

#span-msg {
    font-weight: bold;
}

#span-msg-errors {
    font-weight: bold;
    color: #FF0000;
}

.fl-row {
    display: flex;
    justify-content: flex-start;
}

.fl-col {
    flex: 0 1 auto;
}

.fl-wrap {
    flex-wrap: wrap;
}

.unvisible {
    visibility: hidden;
}

#price-self .fl-row, #price-provider .fl-row {
    align-items: center;
    padding: 2px;
}

/*
.task-rec td {
    font-family: Matrix;
}
/**/

.task-rec td:nth-child(n+6):nth-child(-n+9) span {
    /*background: #97e3ff;/**/
    white-space: nowrap;
}

@font-face {
    font-family: Matrix; /* Имя шрифта */
    src: url(/parseimages/assets/font-matrix/fonts_matrix_cyr.ttf); /* Путь к файлу со шрифтом */
}

div.log {
    font-family: Matrix;
}

#page .content > .fl-v {
    display: flex;
    /*justify-content: space-between;/**/
    flex-direction: column;
}

.fl-h {
    display: flex;
    /*justify-content: space-between;/**/
}

.fl-h > * {
    flex: 0 1 500px;
}

form.fl-h {
    height: 100%;
}

.c5pre {
    font-family: \"Courier New\", monospace;
    white-space: pre;
    text-align: left;
    margin: 0px;
    padding: 0px;
    font-size: 14px;
    box-sizing: border-box;
}


/*{*/
/* Cначала обозначаем стили для IE8 и более старых версий
т.е. здесь мы немного облагораживаем стандартный чекбокс. */
.checkbox {
    vertical-align: top;
    width: 17px;
    height: 17px;
    margin: 0 3px 0 0;
}
/* Это для всех браузеров, кроме совсем старых, которые не поддерживают
селекторы с плюсом. Показываем, что label кликабелен. */
.checkbox + label {
    cursor: pointer;
}

/* Далее идет оформление чекбокса в современных браузерах, а также IE9 и выше.
Благодаря тому, что старые браузеры не поддерживают селекторы :not и :checked,
в них все нижеследующие стили не сработают. В данном случае checked указывается
без двоеточия впереди, почему-то это срабатывает именно так. */

.checkbox:not(checked) {
    position: absolute;
    z-index: -1;
    opacity: 0;
    margin: 10px 0 0 20px;
}
.checkbox:not(checked) + label {
    /*position: relative;/**/
    padding: 0 0 0 60px;
}
.checkbox:not(checked) + label:before {
    content: '';
    position: absolute;
    top: -4px;
    left: 0;
    width: 50px;
    height: 26px;
    border-radius: 13px;
    background: #CDD1DA;
    box-shadow: inset 0 2px 3px rgba(0,0,0,.2);
    transition: .2s;
}
.checkbox:not(checked) + label:after {
    content: '';
    position: absolute;
    top: -2px;
    left: 2px;
    width: 22px;
    height: 22px;
    border-radius: 10px;
    background: #FFF;
    box-shadow: 0 2px 5px rgba(0,0,0,.3);
    transition: .2s;
}
.checkbox:checked + label:before {
    /*background: #9FD468;/**/
    background: #68B1D4;
}
.checkbox:checked + label:after {
    left: 26px;
}
.checkbox:focus + label:before {
    /*box-shadow: inset 0 2px 3px rgba(0,0,0,.2), 0 0 0 3px rgba(255,255,0,.7);/**/
    box-shadow: inset 0 1px 2px rgba(0,0,0,.2), 0 0 0 2px rgba(0, 162, 255, 0.5);
}

.checkbox + label {
    position: absolute;
    bottom: 1px;
    content: "\200b";
    min-height: 1.1em;
}

/*}*/


#btn-debug-menu {
    position: fixed;
    bottom: 1pt;
    left: 1pt;
    width: inherit;
    height: inherit;
    background: #c5c2c6;
    border-radius: 3px;
}

ul#debug-menu {
    position: fixed;
    bottom: 2.2em;
    left: 1px;
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: none;
}

ul#debug-menu * {
    width: 100%;
    display: inline-block; /**/
    background: rgba(204, 243, 255, 0.50);
}

ul#debug-menu a {
    width: 100%;
    display: inline-block; /**/
    background: rgba(204, 243, 255, 0.50);
    font-size: 14pt;
    line-height: 1.8em;
    padding: 0px 1em;
}
ul#debug-menu a:hover {
    background: rgba(204, 243, 255, 1);
}
/*#debug:hover >/**/
#btn-debug-menu:checked ~ ul#debug-menu {
    display: block;
    width: min-content;
}
/*
#debug:hover > #btn-debug-menu {
    display: none;
    background: #7aa350;
}
/**/

#debug-console{
    display: none; /**/
    position: absolute;
    right: 0px;
    bottom: 0px;
    height: 100%;
    box-sizing: border-box;
/*    height: 15em;
    max-height: 30%;/**/
    min-height: 5em;
    /*left: 150px;/**/
    width: calc(100% - 150px);
    min-width: 70%;
    overflow: auto;
    background: rgba(255, 255, 255, 0.75);
    border: 1px #CCCCCC solid;
    text-align: left;
    padding: 0.5em 1em;
}
#debug-console.show {
    display: inline-block; /**/
}